# Module Import
import cegodb
import sys
import datetime
from  dbcon import db_connect, db_disconnect

print(f"Connecting to database ...")

myconn = db_connect()

print(f"Creating cursor ...")
# Instantiate Cursor
cur = myconn.cursor()

print(f"Dropping table")
cur.execute("drop if exists table t1;");
print(f"Creating table")
cur.execute("create table t1 ( a int, b string(20));");

cur.executemany("insert into t1 values ( ?, ? );",(  ( 42, 'XXX'), ( 43, 'YYY'), ( 44, 'ZZZZ') ))

print(f"Rowcount = {cur.rowcount}")


cur.close()

print(f"Disconnecting database ...")
db_disconnect(myconn)

