# Module Import
import cegodb
import sys
import datetime
from  dbcon import db_connect, db_disconnect

print(f"Connecting to database ...")

myconn = db_connect()

print(f"Creating cursor ...")
# Instantiate Cursor
cur = myconn.cursor()

tsnow = datetime.datetime(2024, 6, 24, 10, 30, 12)

print(f"TSnow = {tsnow}")
print(f"Formatted = {tsnow.strftime('%d.%m.%Y %H:%M:%S')}")

cur.execute("drop if exists table t1;");
cur.execute("create table t1 ( a int, b datetime);");

cur.execute("insert into t1 values ( ?, ? );", ( 42, tsnow.strftime('%d.%m.%Y %H:%M:%S') ))
print(f"Rowcount = {cur.rowcount}")


cur.close()

print(f"Disconnecting database ...")
db_disconnect(myconn)

