# Module Import
import cegodb
import sys
import dbcon

myconn = dbcon.db_connect()

# Instantiate Cursor
db = myconn.database

try:
    print(f"Database is {myconn.database}" )
    print(f"Database is {myconn.database_version}")

    print(f"User is {myconn.user}")
    print(f"Tableset is {myconn.tableset}")
    
    print(f"Host is {myconn.server_name}")
    print(f"Port is {myconn.server_port}")
    
except cegodb.Error as err:
        
    print(f"{type(err).__name__} was raised: {err}")
    sys.exit(1)
        
print(f"Disconnecting database ...")    
dbcon.db_disconnect(myconn)
        
    
