# Module Import
import cegodb
import sys
import dbcon
import datetime
from  dbcon import db_connect, db_disconnect

print(f"Connecting to database ...")

myconn = db_connect()
print(f"Creating cursor ...")

# Instantiate Cursor

cur = myconn.cursor()

dropprocstmt="drop if exists procedure checkInOut;";
createprocstmt = "create procedure checkInOut ( x in int, y out int, z out string(20) ) \
begin \
  :y = 9876588; \
  :z = 'Hello world'; \
end;"

cur.execute(dropprocstmt)
cur.execute(createprocstmt)

cur.callproc("checkInOut", ( 1, 0, 0 ))

print(f"All OutVar = {cur.sp_outparams}")

for x in range(len(cur.sp_outparams)):
   print(f"OutVar = {cur.sp_outparams[x]}")


cur.close()

print(f"Disconnecting database ...")
db_disconnect(myconn)

