# Module Import
import cegodb
import sys
import dbcon


print(f"Connecting to database ...")

myconn = dbcon.db_connect()

print(f"Creating cursor ...")
# Instantiate Cursor
cur = myconn.cursor()

cur.execute("drop if exists table t1;");
cur.execute("create table t1 ( a int, b string(20));");
cur.execute("insert into t1 values ( ?, ? );", ( 42, 'Hello') )
cur.execute("insert into t1 values ( ?, ? );", ( 42, 'Hello') )
cur.execute("insert into t1 values ( ?, ? );", ( 43, 'world') )

cur.execute("update t1 set b = 'XXX' where a = 42;")
print(f"Rowscount = {cur.rowcount}")

print(f"Disconnecting database ...")
dbcon.db_disconnect(myconn)

