import config
import cegodb

# Instantiate Connection
def db_connect():
 
    try:
        # print("Connect to db :\n")
        conn = cegodb.connect(
            host=config.HOST,
            port=config.PORT,
            tableset=config.TABLESET,
            protocol=config.PROTOCOL, 
            user=config.USER,
            password=config.PASSWORD)
        
        
        # Close Connection
        # conn.close()
        return conn

    except cegodb.Error as err:
        
        print(f"{type(err).__name__} was raised: {err}")
        print(f"Error connecting to the database: {err} ")
        sys.exit(1)

def db_disconnect(conn):
    conn.close()

